libmwawOLE::DirTree::CompareEntryName Struct Reference

a comparison funcion of DirTree used to sort the entry by name More...

## Public Member Functions

| CompareEntryName (DirTree &tree)
| constructor More...
bool | operator() (unsigned ind1, unsigned ind2) const
| comparaison function More...

## Public Attributes

DirTree & | m_tree
| the main tree More...

## Detailed Description

a comparison funcion of DirTree used to sort the entry by name

## Constructor & Destructor Documentation

libmwawOLE::DirTree::CompareEntryName::CompareEntryName | ( | DirTree & | tree | ) |

inline

constructor

## Member Function Documentation

bool libmwawOLE::DirTree::CompareEntryName::operator() | ( | unsigned | ind1,
|  | unsigned | ind2
| ) |  | const

inline

comparaison function

## Member Data Documentation

DirTree& libmwawOLE::DirTree::CompareEntryName::m_tree

the main tree

Referenced by operator()().

The documentation for this struct was generated from the following file:

- MWAWOLEStream.cxx